import { EngineMagicService } from './engine.magic.service';
import { GuiCommand } from '@magic-xpa/gui';
/**
 * @ignore
 */
export declare class CommandsCollectorMagicService {
    protected magic: EngineMagicService;
    private count;
    private commands;
    private subscription;
    constructor(magic: EngineMagicService);
    startCollecting(): void;
    stopCollecting(): void;
    GetCommands(taskId: string): GuiCommand[];
}
